Home / API Documentation / Platform management / Users / Users / View user details

View user details

Requests

HTTP request

GET /apis/auth.alauda.io/v1/users/{name}

read the specified User

Path parameters

Name Type Required Description
name string Truename of the User

Query parameters

Name Type Required Description
resourceVersion string FalseWhen specified: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.
pretty string FalseIf 'true', then the output is pretty printed.

Responses

Content-Type application/json, application/yaml

Status code: 200

OK

Sample response

{
   "apiVersion": "auth.alauda.io/v1",
   "kind": "User",
   "metadata": {
     "annotations": {
       "cpaas.io/creator": "admin@cpaas.io",
       "cpaas.io/display-name": "example",
       "cpaas.io/updated-at": "2021-06-30T06:51:24Z"
     },
     "creationTimestamp": "2021-06-30T06:51:24Z",
     "generation": 1,
     "labels": {
       "auth.cpaas.io/user.connector_id": "local",
       "auth.cpaas.io/user.connector_type": "local",
       "auth.cpaas.io/user.email": "23463b99b62a72f26ed677cc556c44e8",
       "auth.cpaas.io/user.state": "active",
       "auth.cpaas.io/user.username": "",
       "auth.cpaas.io/user.valid": "true"
     },
     "name": "23463b99b62a72f26ed677cc556c44e8",
     "resourceVersion": "10492397",
     "selfLink": "/apis/auth.alauda.io/v1/users/23463b99b62a72f26ed677cc556c44e8",
     "uid": "1a91d3ec-74bc-4b71-8a24-c3246d05d618"
   },
   "spec": {
     "connector_name": "local",
     "connector_type": "local",
     "email": "example@example.com",
     "groups": [
       "ungrouped"
     ],
     "is_admin": false,
     "mail": "example@example.com",
     "state": "active",
     "username": "example",
     "valid": true
   }
 }

Parameters

Name Type Description
apiVersion string See common parameters
kind string See common parameters
metadata object See common parameters
spec object
Path: spec
spec.connector_name string Identity Provider Name.
Path: spec.connector_name
spec.connector_type string Identity provider type, such as ldap, oidc.
Path: spec.connector_type
spec.email string User email address.
Path: spec.email
spec.groups array Group to which the user belongs.
Path: spec.groups
spec.is_admin boolean
Path: spec.is_admin
spec.username string User name.
Path: spec.username
spec.valid boolean Whether the user is valid.
Path: spec.valid

Other status codes

Status code: 401

Unauthorized